# Uses of Class
javax.print.attribute.standard.PrinterState

Packages that use PrinterState
Package
Description
javax.print.attribute.standard
Package `javax.print.attribute.standard` contains classes for specific printing attributes.

## Uses of PrinterState in javax.print.attribute.standard

Fields in javax.print.attribute.standard declared as PrinterState
Modifier and Type
Field
Description
`static final PrinterState`
PrinterState.`IDLE`
Indicates that new jobs can start processing without waiting.
`static final PrinterState`
PrinterState.`PROCESSING`
Indicates that jobs are processing; new jobs will wait before processing.
`static final PrinterState`
PrinterState.`STOPPED`
Indicates that no jobs can be processed and intervention is required.
`static final PrinterState`
PrinterState.`UNKNOWN`
The printer state is unknown.